Subject: Re: bug#28542: Temporary failure in name resolution while quitting emacs

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 03 Dec 2020 09:47:14 +0100

Eli Zaretskii <[email-masked]> writes:

>> > The ELisp manual says ab out kill-emacs-hook:
>> >
>> >      Because ‘kill-emacs’ can be called in situations where user
>> >      interaction is impossible (e.g., when the terminal is
>> >      disconnected), functions on this hook should not attempt to
>> >      interact with the user.  If you want to interact with the user when
>> >      Emacs is shutting down, use ‘kill-emacs-query-functions’, described
>> >      below.
>> >
>> > So I don't think we can safely ask whether to continue.
>> 
>> I don't quite interpret it that way -- this only says that if your
>> intention is to communicate with the user, then use
>> `kill-emacs-query-functions'.
>
> But your suggestion was to ask the user whether to continue -- doesn't
> that qualify as "communicating with the user"?

It does.  But the manual talks about intent -- "if you want to interact"
-- but doesn't prohibit Emacs itself from interacting with the user.
Obviously an error doesn't happen by intent.

> Then perhaps waiting for the response for some finite time would cover
> the cases where the user cannot answer the question?

Do you mean in the noninteractive case?  I don't propose to change
anything unless interactive.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no